<?xml version="1.0" encoding="UTF-8"?>
<configuration>
  <define name="consoleEncoding" class="biz.redsoft.util.logback.ConsoleEncoding"/>

  <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
    <encoder>
      <charset>${consoleEncoding}</charset>
      <pattern>%d{dd.MM.yy HH:mm:ss.SSS} [%t] %p %c{0} - %m%n</pattern>
    </encoder>
  </appender>

  <appender name="FILE" class="ch.qos.logback.core.FileAppender">
    <file>logs/ncore.log</file>
    <append>true</append>
    <immediateFlush>true</immediateFlush>
    <encoder>
      <charset>UTF-8</charset>
      <pattern>%d{dd.MM.yy HH:mm:ss.SSS} [%t] %p %c{0} - %m%n</pattern>
    </encoder>
  </appender>

  <root level="debug">
    <appender-ref ref="STDOUT" />
    <appender-ref ref="FILE" />
  </root>
</configuration>